Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE (device)' failed"

From: Joe Corneli <[email-masked]>
Date: Sun, 14 Aug 2022 12:21:54 +0100

Eli Zaretskii writes:

> The backtrace says:
>
>  . the main loop called some command
>  . that command signaled an error
>  . the error caused the Lisp debugger to be called
>  . the debugger was invoked and entered recursive-edit
>  . while waiting for user input, a timer fired
>  . the timer function called write-region
>  . write-region called lock-file
>  . lock-file called a Lisp function, probably to report some conflict
>    with another process(??) locking the file
>  . Emacs prompted the user, probably about the lock
>  . while waiting for user response, Emacs checked timers, and as
>    result called process_pending_signals
>  . one of the pending signals was SIGIO, so Emacs called read-socket,
>    which segfaulted inside GTK
>
> Does the above sound reasonable for your Emacs sessions?

Thanks, that’s certainly a reasonable chain of events, e.g. given that I
have mu4e running (which likes to use locks) and there might have been a
conflict between two different running instances.  Not sure about the
last step involving GTK.  In my workflow I think the crash occurred only
when I was switching between windows in my WM.

-- 
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorporated
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).